/* Determine whether a locale is hard.
 *
 * Copyright (C) 1997-1999, 2002-2004, 2006-2007, 2009-2022 Free Software
 * Foundation, Inc.
 *
 * Imported from Gnulib hard-locale.[ch] with modifications by Nick Bowler:
 *
 *  - Remove all setlocale workarounds, as our use case does not do anything
 *    fancy with locales and does not require thread safety (2024-01).
 *
 * This file is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of the
 * License, or (at your option) any later version.
 *
 * This file is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef HARD_LOCALE_H_
#define HARD_LOCALE_H_

#include <string.h>
#include <locale.h>

static inline int hard_locale(int locale)
{
	char *name;

	if (!(name = setlocale(locale, NULL)))
		return 0;

	return strcmp(name, "C") && strcmp(name, "POSIX");
}

#endif
